package chess4j.board.directions;

import chess4j.board.Square;

public class NorthWest extends Direction {

	private static NorthWest INSTANCE = new NorthWest();
	
	private NorthWest() {		
	}

	@Override
	public Square next(Square sq) {
		return Square.valueOf(sq.file().west(), sq.rank().north());
	}
	
	public static NorthWest getInstance() {
		return INSTANCE;
	}
}
